%define libname %mklibname lxqt-globalkeys 0
%define uiname %mklibname lxqt-globalkeys-ui 0
%define devname %mklibname -d lxqt-globalkeys
%define uidevname %mklibname -d lxqt-globalkeys-ui

%define rel 2

Name: lxqt-globalkeys
Version: 0.12.0
Release: %mkrel %rel
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Summary: Global keys config module for LXQt
URL: http://lxqt.org/
License: LGPLv2+
Group: Graphical desktop/KDE
BuildRequires: cmake
BuildRequires: pkgconfig(lxqt)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Help)
Obsoletes: razorqt-config-globalkeyshortcuts < 0.5.3-1
Obsoletes: razorqt-globalkeyshortcuts < 0.5.3-1

Conflicts: lxqt-common < 0.12.0
Obsoletes: lxqt-common < 0.12.0

%description
Global keys config module for LXQt.

%package -n %{libname}
Summary: The LXQt globalkeys library
Group: System/Libraries

%description -n %{libname}
The LXQt globalkeys library.

%package -n %{uiname}
Summary: The LXQt globalkeys UI library
Group: System/Libraries

%description -n %{uiname}
The LXQt globalkeys UI library.

%package -n %{devname}
Summary: Development files for the LXQt globalkeys library
Group: Development/C
Requires: %libname = %version
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release
Obsoletes: %{_lib}razorglobalkeyshortcuts-devel < 0.5.3-1

%description -n %{devname}
Development files for the LXQt globalkeys library.

%package -n %{uidevname}
Summary: Development files for the LXQt globalkeys UI library
Group: Development/C
Requires: %libname = %version
Requires: %uiname = %version
Provides: %uiname-devel = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %{uidevname}
Development files for the LXQt globalkeys UI library.

%prep
%setup -q %{name}-%{version}

%build
%cmake_qt5 -DPULL_TRANSLATIONS=NO
%make

%install
%make_install -C build


%files
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/autostart/lxqt-globalkeyshortcuts.desktop
%{_sysconfdir}/xdg/lxqt/globalkeyshortcuts.conf


%files -n %{libname}
%{_libdir}/liblxqt-globalkeys.so.0*

%files -n %{uiname}
%{_libdir}/liblxqt-globalkeys-ui.so.0*

%files -n %{devname}
%{_libdir}/liblxqt-globalkeys.so
%{_includedir}/lxqt-globalkeys
%{_libdir}/pkgconfig/lxqt-globalkeys.pc
%{_datadir}/cmake/lxqt-globalkeys

%files -n %{uidevname}
%{_libdir}/liblxqt-globalkeys-ui.so
%{_includedir}/lxqt-globalkeys-ui
%{_libdir}/pkgconfig/lxqt-globalkeys-ui.pc
%{_datadir}/cmake/lxqt-globalkeys-ui


%changelog
* Wed Feb 28 2018 neoclust <neoclust> 0.12.0-2.mga6
  (not released yet)
+ Revision: 1205736
- New version 0.12.0

* Tue Nov 08 2016 neoclust <neoclust> 0.11.0-1.mga6
+ Revision: 1065960
- New version 0.11.0

* Mon Mar 28 2016 doktor5000 <doktor5000> 0.10.0-5.mga6
+ Revision: 995887
+ rebuild (emptylog)

* Mon Feb 15 2016 umeabot <umeabot> 0.10.0-4.mga6
+ Revision: 961310
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 neoclust <neoclust> 0.10.0-3.mga6
+ Revision: 900905
- Rebuild against fixed qtbase5
- Use qt5 cmake macro

* Mon Nov 09 2015 neoclust <neoclust> 0.10.0-1.mga6
+ Revision: 900137
- New version 0.10.0

* Sun Feb 22 2015 doktor5000 <doktor5000> 0.9.0-1.mga5
+ Revision: 816428
- new version 0.9.0
- drop lxqt-globalkeys-0.7.0-mga-desktopfile-el_GR.patch, merged upstream
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-5.mga5
+ Revision: 803660
- rebuild for QT 5.4 breakage

* Sun Oct 26 2014 doktor5000 <doktor5000> 0.8.0-4.mga5
+ Revision: 793516
- do not remove LXQt Catgories from .desktop file
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 doktor5000 <doktor5000> 0.8.0-1.mga5
+ Revision: 738656
- add missing BuildRequires on pkgconfig(Qt5Widgets)
- add missing BuildRequires on pkgconfig(Qt5DBus)
- add missing BuildRequires on pkgconfig(Qt5Help)
- correct license
- new version 0.8.0
- enabled QT5 build

* Wed Sep 17 2014 wally <wally> 0.7.0-5.mga5
+ Revision: 693140
- obsolete librazorglobalkeyshortcuts-devel
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 wally <wally> 0.7.0-4.mga5
+ Revision: 675024
- obsolete razorqt-globalkeyshortcuts

* Fri May 23 2014 dglent <dglent> 0.7.0-3.mga5
+ Revision: 625111
- Add patch for el_GR desktop file

* Thu May 22 2014 doktor5000 <doktor5000> 0.7.0-2.mga5
+ Revision: 624962
- add Requires in lxqt-globalkeys-ui-devel on lxqt-globalkeys-ui lib

* Thu May 22 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 624929
- fix .desktop file
  o remove Category=LXQt for now
  o change Comment[el_GR] to not be redundant with Name[el_GR]
- remove useless Requires, use proper Requires/Provides
- use %%mkrel
- fix BuildRequires
- imported package lxqt-globalkeys

